| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLClipPlaneElement Class Reference
Element Classes

The SoGLClipPlaneElement class is yet to be documented.FIXME: write doc. More...

`#include <Inventor/elements/SoGLClipPlaneElement.h>`

Inheritance diagram for SoGLClipPlaneElement:

## Public Member Functions

virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | pop (SoState *state, const SoElement *prevTopElement)
| FIXME: write doc.
Public Member Functions inherited from SoClipPlaneElement
virtual void | push (SoState *state)
int | getNum (void) const
const SbPlane & | get (const int index, const SbBool inworldspace=TRUE) const
Public Member Functions inherited from SoAccumulatedElement
virtual SbBool | matches (const SoElement *element) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual void | print (FILE *file=stdout) const
virtual | ~SoElement ()

## Static Public Member Functions

static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static int | getMaxGLPlanes (void)
| FIXME: write doc.
Static Public Member Functions inherited from SoClipPlaneElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | add (SoState *const state, SoNode *const node, const SbPlane &plane)
static const SoClipPlaneElement * | getInstance (SoState *const state)
Static Public Member Functions inherited from SoAccumulatedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions

virtual | ~SoGLClipPlaneElement ()
virtual void | addToElt (const SbPlane &plane, const SbMatrix &modelMatrix)
| FIXME: write doc.
Protected Member Functions inherited from SoClipPlaneElement
virtual | ~SoClipPlaneElement ()
Protected Member Functions inherited from SoAccumulatedElement
void | clearNodeIds (void)
void | addNodeId (const SoNode *const node)
void | setNodeId (const SoNode *const node)
void | copyNodeIds (const SoAccumulatedElement *copyfrom)
virtual SoElement * | copyMatchInfo (void) const
virtual void | captureThis (SoState *state) const
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members

Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoClipPlaneElement
SbList< so_plane_data > | planes
int | startIndex
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLClipPlaneElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

SoGLClipPlaneElement::~SoGLClipPlaneElement | ( | void | ) |  |

protectedvirtual

The destructor.

## Member Function Documentation

void * SoGLClipPlaneElement::createInstance | ( | void | ) |  |

static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoGLClipPlaneElement::initClass | ( | void | ) |  |

static

This static method initializes static data for the SoGLClipPlaneElement class.

The documentation for this class was generated from the following files:

- SoGLClipPlaneElement.h
- SoGLClipPlaneElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.